import React from "react";

import { Link } from "../link";

import { Nav, NavList } from "./nav-panel.style";

const navList = [
  { title: "Home", href: "#01" },
  { title: "Персонажи", href: "#02" },
  { title: "Локации", href: "#03" },
  { title: "Эризоды", href: "#04" },
];

export function NavPanel({ currentNavElement }) {
  return (
    <Nav>
      <NavList>
        {navList.map((element) => (
          <li key={element.href}>
            <Link
              contrast={currentNavElement === element.title}
              href={element.href}
            >
              {element.title}
            </Link>
          </li>
        ))}
      </NavList>
    </Nav>
  );
}
